Create a RecordSet

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows/{dataflowId}/recordsets

Create a RecordSet.

Path parameters

  • dataflowId string Required

    ID of the Dataflow

application/json

Body

  • recordSetName string

    RecordSet name

  • description string

    Description of this RecordSet

  • parentRecordSetId string

    parent recordSet that connects to the new recordSet. Set it null or do not include the field if the new recordSet has no parent recordSet

  • owningEntity string

    Entity owning this RecordSet

  • owningCollection string

    Collection of this RecordSet

  • dataflowId string

    Dataflow Id this RecordSet belongs to

  • version string

    RecordSet structure version

  • trustedEntities array

    Entities that have access to this RecordSet

  • entity string

    Entity name

  • _id string

    id of the RecordSet

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • _id string

      the updated RecordSet Id

POST /dataflows/{dataflowId}/recordsets
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "recordSetName": "sample_recordSet",
  "description": "sample description",
  "parentRecordSetId": null
}'
Request example
{
  "recordSetName": "sample_recordSet",
  "description": "sample description",
  "parentRecordSetId": null
}
Response examples (200)
{
  "_id": "574bc854d96535adaf730a60"
}